// Generated by gencpp from file moveit_trajectory_interface/Follow.msg
// DO NOT EDIT!


#ifndef MOVEIT_TRAJECTORY_INTERFACE_MESSAGE_FOLLOW_H
#define MOVEIT_TRAJECTORY_INTERFACE_MESSAGE_FOLLOW_H

#include <ros/service_traits.h>


#include <moveit_trajectory_interface/FollowRequest.h>
#include <moveit_trajectory_interface/FollowResponse.h>


namespace moveit_trajectory_interface
{

struct Follow
{

typedef FollowRequest Request;
typedef FollowResponse Response;
Request request;
Response response;

typedef Request RequestType;
typedef Response ResponseType;

}; // struct Follow
} // namespace moveit_trajectory_interface


namespace ros
{
namespace service_traits
{


template<>
struct MD5Sum< ::moveit_trajectory_interface::Follow > {
  static const char* value()
  {
    return "3d18b803936c9bc6d13b57b51b92d129";
  }

  static const char* value(const ::moveit_trajectory_interface::Follow&) { return value(); }
};

template<>
struct DataType< ::moveit_trajectory_interface::Follow > {
  static const char* value()
  {
    return "moveit_trajectory_interface/Follow";
  }

  static const char* value(const ::moveit_trajectory_interface::Follow&) { return value(); }
};


// service_traits::MD5Sum< ::moveit_trajectory_interface::FollowRequest> should match
// service_traits::MD5Sum< ::moveit_trajectory_interface::Follow >
template<>
struct MD5Sum< ::moveit_trajectory_interface::FollowRequest>
{
  static const char* value()
  {
    return MD5Sum< ::moveit_trajectory_interface::Follow >::value();
  }
  static const char* value(const ::moveit_trajectory_interface::FollowRequest&)
  {
    return value();
  }
};

// service_traits::DataType< ::moveit_trajectory_interface::FollowRequest> should match
// service_traits::DataType< ::moveit_trajectory_interface::Follow >
template<>
struct DataType< ::moveit_trajectory_interface::FollowRequest>
{
  static const char* value()
  {
    return DataType< ::moveit_trajectory_interface::Follow >::value();
  }
  static const char* value(const ::moveit_trajectory_interface::FollowRequest&)
  {
    return value();
  }
};

// service_traits::MD5Sum< ::moveit_trajectory_interface::FollowResponse> should match
// service_traits::MD5Sum< ::moveit_trajectory_interface::Follow >
template<>
struct MD5Sum< ::moveit_trajectory_interface::FollowResponse>
{
  static const char* value()
  {
    return MD5Sum< ::moveit_trajectory_interface::Follow >::value();
  }
  static const char* value(const ::moveit_trajectory_interface::FollowResponse&)
  {
    return value();
  }
};

// service_traits::DataType< ::moveit_trajectory_interface::FollowResponse> should match
// service_traits::DataType< ::moveit_trajectory_interface::Follow >
template<>
struct DataType< ::moveit_trajectory_interface::FollowResponse>
{
  static const char* value()
  {
    return DataType< ::moveit_trajectory_interface::Follow >::value();
  }
  static const char* value(const ::moveit_trajectory_interface::FollowResponse&)
  {
    return value();
  }
};

} // namespace service_traits
} // namespace ros

#endif // MOVEIT_TRAJECTORY_INTERFACE_MESSAGE_FOLLOW_H
